+================================================
+                                                
+ WinCNC  -   Vectric machine output configuration file   
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who      		When       		What                         
+ =========== ========== =========================== 
+ Mike/Kelly		2/3/2014   
+================================================
POST_NAME = "WinCNC Plasma (*.tap)"
FILE_EXTENSION = "tap"
UNITS = "INCHES"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------
LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------
LINE_NUMBER_START     = 1
LINE_NUMBER_INCREMENT = 1
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================
VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|C|X|1.6]
VAR Y_POSITION = [Y|C|Y|1.6]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.6]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.6]
VAR X_HOME_POSITION = [XH|A|X|1.6]
VAR Y_HOME_POSITION = [YH|A|Y|1.6]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------
begin HEADER
"[N] [91][TP_FILENAME][93]"
"[N] G90 [91]ABSOLUTE MODE[93]"
"[N] G53"
"[N] M65"

+---------------------------------------------------
+  Commands output for the plunge move
+---------------------------------------------------
begin PLUNGE_MOVE
"[N] M61"

+---------------------------------------------------
+  Commands output for the retract move
+---------------------------------------------------
begin RETRACT_MOVE
"[N] M62"

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------
begin RAPID_MOVE
"[N] G00[X][Y]"

+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------
begin FEED_MOVE
"[N] G01[X][Y]"

+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------
begin CW_ARC_MOVE
"[N] G02[X][Y][I][J]"

+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------
begin CCW_ARC_MOVE
"[N] G03[X][Y][I][J]"

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------
begin FOOTER
"[N] M66"
"[N] G53"
